org.bouncycastle.asn1

## Class OIDTokenizer

- java.lang.Object
- - org.bouncycastle.asn1.OIDTokenizer

    public class OIDTokenizer
    extends java.lang.Object

class for breaking up an OID into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

### Constructor Summary

Constructors
Constructor and Description
`OIDTokenizer(java.lang.String oid)`

### Method Summary

Methods
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OIDTokenizer

    public OIDTokenizer(java.lang.String oid)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public java.lang.String nextToken()